function parselist(str)
	local curitem = ""
	local result = { }
	local curchar
	for i = 1, strlen(str) do
		curchar = strsub(str, i, i)
		if curchar ~= "," then
			if curchar ~= " " then
				curitem = curitem..curchar
			end
		else
			if curitem ~= "" then
				result[curitem] = 1
				curitem = ""
			end
		end
	end	
	if curitem ~= "" then
		result[curitem] = 1
	end
	return result
end

function makelist(list)
	local first = 1
	local result = ""
	for key, value in list do
		if first then
			result = key
			first = nil
		else
			result = result..", "..key
		end
	end
	return result
end

function replacevars(str, vars)
	for key, value in vars do
		str = gsub(str, "<"..key..">", value)
	end
	return str
end